/*
 * Copyright (c) 2000-2004 by Beacon Information Technology, Inc.
 *
 * Licensor (Beacon IT) hereby grants You a world-wide, royalty-free,
 * non-exclusive, perpetual, sublicenseable license to do the
 * following:
 *
 *    1. to reproduce the Original Work in copies;
 *    2. to prepare derivative works ("Derivative Works") based
 *       upon the Original Work;
 *    3. to distribute copies of the Original Work and Derivative
 *       Works to the public; and
 *    4. to display the Original Work publicly. 
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */
package portlets;

import javax.portlet.GenericPortlet;
import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;
import javax.portlet.WindowState;
import javax.portlet.PortletException;
import java.io.IOException;

/**
 * HelloWorldPortletはポートレットAPIの最低限インプリメンテーションです。
 *
 * @author ウェストベイ マイケル 技師 [(株)ビーコンIT プロダクト開発部]
 * @version 1.0
 */
public class HelloWorldPortlet extends GenericPortlet {

    /**
     * VIEWモードの表示するメソッドです。「Hello World」を出力します。
     *
     * @param request ポートレットのリクエストオブジェクト
     * @param response ポートレットのレスポンス(返答)オブジェクト
     * @throws javax.portlet.PortletException リクエストを処理できない場合
     * @throws javax.portlet.UnavailableException 現時点にはポートレットが返答できない場合
     * @throws javax.portlet.PortletSecurityException セキュリティのために処理できない場合
     * @throws java.io.IOException ストリームにI/Oの問題がある場合
     */
    public void doView(RenderRequest request, RenderResponse response)
            throws PortletException, IOException {

        // 返答のMIMEタイプを指定する
        response.setContentType("text/html");

        // 「Hello World」をポートレットストリームへ出力する
        response.getWriter().print("Hello World");
    }
}
